

.playGround#playGround{
	display: flex;
	height: 100%;
	overflow-y: auto;
	position: relative;
	z-index: 999;
	/* display: none; */
}

.playGround#playGround *{
	margin: 0;
	padding: 0;
	border: none;
	background: none;
	text-decoration: none;
	font-style: normal;
	color: black;
	box-sizing: border-box;
	font-family: "Eames Century Modern";
	background-size: contain;
	background-position: center center;
}

.custom-hide{
	display: none !important;
	/* there's more... */
}

.playGround.playGroundFixed{
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 900;
	opacity: 0;
	visibility: hidden;
}

.playGroundFixed .relative-wrapper{
	position: relative;
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	object-fit: fill;
	flex: 1;
	background: #fff;
}

/* .playGroundFixed .custom-overlay-header{
	display: flex;
	width: 100%;
	height: 69px;
	position:relative;
	opacity: 0.5;
	justify-content: space-between;
}
.playGroundFixed .custom-overlay-header .custom-overlay-left{
	width: 50%;
	height: 100%;
	padding-left: 15px;
}
.playGroundFixed .custom-overlay-header .custom-overlay-right{
	width: 50%;
	height: 100%;
	padding-right: 15px;
	display: flex;
	justify-content: flex-end;
}
.playGroundFixed .custom-overlay-header .custom-overlay-logo{
	width: 110px;
	height: 100%;
	padding-left: 15px;
	content: "";
	cursor: pointer;
}
.playGroundFixed .custom-overlay-header .custom-overlay-cart{
	width: 35px;
	height: 100%;
	content: "";
	cursor: pointer;
}
.playGroundFixed .custom-overlay-header .custom-overlay-menu{
	width: 30px;
	height: 100%;
	content: "";
	cursor: pointer;
} */


.playGroundFixed #myCanvas{
	position: relative;
}

/* we cant have multiple h1 tags in html, so mimic its functionality in this class */
.playGroundFixed .h1{
	font-family: "Eames Century Modern";
	font-weight: normal;
	font-size: 40px !important;
	letter-spacing: 1px;
	color: #000;
	line-height: 1.1;
	margin-bottom: 40px !important;
}

.playGround #customizerProgressBar {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	visibility: hidden;
	opacity: 0;
	top: 0;
	left: 0;
	height: 100%;
	max-height: calc(100vh - 69px);
	width: 100%;
	background-color: #8eb1ac;
	color: white;
	z-index: 1001;
	/* transition: 0.5s opacity ease-in-out; */

	/* TEMP STUFF */
	/* position: fixed !important;
	top: 0 !important;
	left: 0 !important;
	width: 50vw !important;
	height: 50vh !important;
	visibility: visible !important;
	opacity: 1 !important; */
}

.playGround #customizerProgressBar.loading{
	visibility: visible;
	opacity: 1;
	transition: opacity 400ms, visibility 0ms;
}

.playGround #customizerProgressBar.hide-progress{
	opacity: 0;
	visibility: hidden;
	transition: opacity 400ms, visibility 0ms 400ms;
}

.playGround #customizerProgressBar .progress-text{
	color: #fff;
	text-align: center;
	font-size: 36px;
	font-family: "Eames Century Modern";
}

.playGround #customizerProgressBar .progress-line-wrapper{
	width: 125px;
	height: 12px;
	background: #c5d7d5;
	overflow: hidden;
	margin: 35px auto 0;
	position: relative;
}

.playGround #customizerProgressBar .progress-line-wrapper #currentProgress{
	position: absolute;
	width: 0;
	height: 100%;
	background: white;
	transition: width 200ms, all 0;
}

.playGroundFixed #canvasWrapper{
	width: 50%;
	height: 100%;
}

.playGroundFixed .arrow {
	display: block;
	background: url('scroll-arrow.svg') no-repeat;
	background-size: 60px 26px;
	width: 60px;
	height: 26px;
	content: "";
}

.playGroundFixed .arrow.down {

}

.playGroundFixed .arrow.up {
	transform: rotate(180deg);
}

.playGroundFixed .text-below-arrow{
	margin: 0;
	text-align: center;
	font-size: 18px;
	opacity: 0;
	white-space: nowrap;
	overflow: hidden;
	transition: height 500ms, opacity 500ms;
}

.playGroundFixed .buttons {
	display: flex;
	flex-direction: row;
	width: 100%;
}



.playGroundFixed .btn-custom {
	background: transparent;
	color: #252a2b;
	min-width: 140px;
	padding: 0px 0px;
	height: 60px;
	border: 1px solid #DDD;
	text-transform: none;
	margin: 0 12px;
	font-weight: 400;
	font-style: normal;
	font-size: 0.8125rem;
	position: relative;

	
	cursor: pointer;
	border-radius: 0;
	-webkit-appearance: none;
	box-shadow: none;

	display: flex;
	align-items: center;
	justify-content: center;

}

.playGroundFixed .x{
	float:left;
	position:relative;
	margin:0;
	padding:0;
	overflow:hidden;
	background: transparent;
	cursor:pointer;
	width:40px;
	height: 100%;
	display: flex;
	object-fit: fill;
	justify-content: center;
	align-items: center;
}

.playGroundFixed .x svg{
	display:block;
}

.playGroundFixed .btn-custom:hover{
	background: #F5F5F5 !important;
    color:#fff !important;
	border-color:transparent;
	transition: all 150ms linear;
}

.playGroundFixed .btn-custom span{
	margin: 0;
	padding: 0;
	color: #000;
	font-family: "Helvetica Neue LT Std";
	font-size: 16px !important;
	line-height: 28px !important;
	text-align: center;
	vertical-align: baseline;
}

.playGroundFixed .btn:first-of-type{
	margin-left: 0;
}
.playGroundFixed .btn:last-of-type{
	margin-right: 0;
}

.playGroundFixed h2 {
	font-size: 44px;
	margin-bottom: 10px;
}

.playGroundFixed h3 {
	margin-bottom: 15px;
	font-size: 16px;
	font-weight: 500;
	font-family: "Helvetica Neue LT Std";
}

.playGroundFixed h3 span {
	margin-left: 5px;
	font-size: 9px;
	color: #b2b2b2;
	letter-spacing: 2px;
	text-transform: uppercase;
}

.playGroundFixed h4 {
	font-size: 14px;
	display: none;
}

.playGroundFixed .hidden {
	display: none;
}

.playGroundFixed #optionsWrapper {

	position: relative;
	padding-left: 40px;
	/* padding-right: 40px; */
	width: 100%;
	height: 100%;
	opacity: 0;
	display: flex;
	justify-content: center;
	align-items: center;
}

.playGroundFixed #optionsWrapper #optionsContainer{
	width: 100%;
	max-height: calc(100vh - 93px);
	/* overflow-y: auto; */
}


.playGroundFixed #optionsToggler {
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	/* height: 80px; */
	/* height: auto; */
	padding-top: 10px;
	padding-bottom: 20px;
}

.playGroundFixed #materialTweaker {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
}

.playGroundFixed .exit-customizer{
	width: 21px;
	height: 21px;
	position: relative;
	margin-top: 50px;
	margin-bottom: 60px;	
}

.playGroundFixed #materialTweaker h2 {
	display: none;
}

.playGroundFixed #materialTweaker .customizer-line{
	margin-bottom: 35px;
}

.playGroundFixed #materialTweaker ul {
	margin-top: 5px;
	text-align: center;
	white-space: nowrap;
	display: flex;
	justify-content: flex-start;
}

.playGroundFixed #materialTweaker ul li {
	display: inline-block;
	width: 34px;
	height: 34px;
	border-radius: 99px;
	margin: 0 5px;
	cursor: pointer;
	background-position: center center;
	border: 2px solid transparent;
	position: relative;
}

.playGroundFixed #materialTweaker ul li.active:after {
	position: absolute;
	width: calc(100% + 8px);
	height: calc(100% + 8px);
	top: -4px;
	left: -4px;
	background: transparent;
	border: 1px solid #010101;
	border-radius: 50%;
	content: "";
}

.playGroundFixed #materialTweaker ul li.disabled{
	cursor: disabled !important;
	pointer-events: none !important;	
	opacity: 0.2;
	border: 1px solid red;
	border-radius: 50%;
	position: relative;
	display: inline-block;
	background-color: #fff !important;
	overflow: hidden;
}
.playGroundFixed #materialTweaker ul li.disabled:after{
	content: "";
	position: absolute;
	width: 200%;
	height: 1px;
	background: red;
	transform: rotate(45deg);
	transform-origin: 0% 0%;
	top: 0;
	left: 0;
}

.playGroundFixed .input {
	background-color: white;
	border-radius: 2px;
	padding: 5px 10px;
	font-size: 16px; 
	width: 312px;
	height: 58px;
	border: 1px solid #b2b2b2;
}

.playGroundFixed .input.dark {
	background-color: #191b1b;
	color: #777777;
	border: none;
}

.playGround canvas {
	touch-action: none;
}

.playGroundFixed .mobile-buttons{
	display: none;
	position: absolute;
	flex-direction: row;
	justify-content: space-between;
	width: 100%;
	height: 50px;
	top: 20px;
	left: 30px;
	right: 30px;
	width: calc(100% - 60px);
}

.playGroundFixed .btn-custom.customizerAddToCart{
	background: #8eb1ac;
	border-color: transparent;
}
.playGroundFixed .btn-custom.customizerAddToCart span{
	color: white;
}
.playGroundFixed .btn-custom.customizerAddToCart:hover span{
	color: #000;
}

.playGroundFixed .mobile-buttons .btn-custom{
	background: #8eb1ac !important;
	border-color: transparent !important;
}

.playGroundFixed .mobile-buttons .btn-custom span{
	color: white !important;
}

.playGroundFixed .x .site-close-handle{
	position: relative;
	right: inherit !important;
	top: inherit;
	width: 21px;
	height: 21px;
}

.customizer-loaded{
	overflow: hidden;
	height: 100vh;
	max-height: 100vh;
	position: fixed;
}

body.customizer-loaded{
	overscroll-behavior: contain;
}


.customizer-loaded #shopify-section-header{
	/* position: fixed; */
    /* top: 0; */
	/* width: 100vw; */
	/* z-index: 999; */
}

.customizer-loaded .site-overlay.active{
	z-index: 998;
}

.customizer-loaded #shopify-section-header #site-header{
	position: fixed !important;
	z-index: 997;
}

.customizer-loaded #admin-bar-iframe{
	display: none !important;
}

body.template-product.customizer-loaded{
	/* margin-top: 93px; */
}
/* body.template-product.customizer-loaded #canvasWrapper,
body.template-product.customizer-loaded #optionsWrapper{
	padding-top: 93px;
} */

body.template-product.customizer-loaded .intercom-app{
	display: none;
}

.customizer-loaded .playGround #customizerProgressBar{
	visibility: visible;
	opacity: 1;
}

.customizer-loaded .playGroundFixed{
	visibility: visible;
	opacity: 1;
	transition: opacity 700ms, visibility 0s;
	margin-top: 93px;
}
body:not(.customizer-loaded) .playGroundFixed{
	transition: opacity 700ms, visibility 0s 700ms;
}

.customizer-loaded #optionsWrapper{
	opacity: 1;
	transition: opacity 700ms, transform 1000ms;
}

@media only screen and (min-width: 769px) {
	.playGroundFixed .buttons {
		margin-bottom: 125px;
	}
	.playGroundFixed #optionsToggler {
		display: none;
	}
	.playGroundFixed #optionsWrapper #optionsContainer{
		width: 100%;
		height: 100%;
		max-height: 100vh;
		overflow-y: auto;
	}
}


@media screen and (max-width: 768px) {


	.customizer-loaded .playGroundFixed{
		margin-top: 0;
	}

	.playGroundFixed #canvasWrapper{
		width: 100vw;
		min-width: inherit;
		height: 100%;
	}

	.playGroundFixed .exit-customizer{
		display: none;
	}

	.template-product.customizer-loaded .playGroundFixed{
		margin-top: 93px;
		height: calc(100vh - 93px);
	}

	body.template-product.customizer-loaded #canvasWrapper,
	body.template-product.customizer-loaded #optionsWrapper{
		padding-top: inherit;
	}

	body.template-product.customizer-loaded #shopify-section-header{
		/* position: fixed;
		width: 100%;
		height: 69px;
		top: 0; */
	}

	body.template-product.customizer-loaded #shopify-section-header #site-header{
		/* position: relative !important; */
	}

	.playGroundFixed .relative-wrapper{
		flex-direction: column;
		overflow: hidden;
		justify-content: flex-end;
	}

	
	.playGroundFixed .mobile-buttons{
		display: flex;
	}

	

	.playGroundFixed #optionsWrapper{
		/* position: absolute; */
		padding: 0;
		/* padding-bottom: 40px; */
		width: 100%;
		height: auto;
		overflow-y: inherit;
		/* background-color: rgba(235,235,235, 0.7); */
		
		/* transform: translateY(calc(100% - 80px)); */
		/* transition: transform 0.5s; */

		position: fixed;
		top: inherit;
		bottom: 0;
		transform: inherit;
	}

	.playGroundFixed #optionsWrapper.mobile-visible #optionsContainer{
		overflow-y: auto;
	}

	

	.playGroundFixed #materialTweaker .customizer-line{
		min-width: 100%;
	}

	.playGroundFixed #materialTweaker .input{
		width: 100%;
	}

	.playGroundFixed #materialTweaker .h1,
	.playGround .buttons{
		display: none;
	}

	.playGroundFixed #optionsToggler{
		flex-direction: column;
	}
		

	.playGroundFixed #optionsWrapper #optionsContainer{
		width: 100%;		
		background-color: rgba(235,235,235, 0.7);
		transform: translateY(calc(100% - 90px));
		transition: transform 0.5s;
	}

	.playGroundFixed #optionsWrapper.mobile-visible #optionsContainer{
		transform: translateY(0);
	}

	.playGroundFixed #optionsWrapper #optionsContainer #materialTweaker{
		width: 350px;
		margin-left: auto;
		margin-right: auto;
	}

	.playGroundFixed #optionsWrapper:not(.mobile-visible) .text-below-arrow{
		opacity: 1;
	}

	
}

@media screen and (max-width: 480px) {

	.playGroundFixed .mobile-buttons{
		width: calc(100% - 44px);
		left: 22px;
		right: 22px;
	}	
	.customizer-loaded .playGroundFixed{
		margin-top: 0;
	}
	.template-product.customizer-loaded .playGroundFixed{
		margin-top: 69px;
		height: calc(100vh - 69px);
	}
	.playGroundFixed .relative-wrapper{
		height: 100vh;
	}

	.playGroundFixed #optionsWrapper #optionsContainer{
		/* width: calc(100% - 40px); */
		width: 100%;
		padding-left: 20px;
		padding-right: 20px;
		max-height: calc(100vh - 69px);
		
	}

	.playGroundFixed #optionsWrapper #optionsContainer #materialTweaker{
		width: 100%;
	}

	.playGroundFixed #optionsWrapper{
		/* transform: translateY(calc(100% - 155px)); */
	}

}


@media screen and (max-width: 414px){
	
	.playGroundFixed #materialTweaker ul li{
		width: 28px;
		height: 28px;
		margin: 0 4px;
		border: 1px solid transparent;
	}
	.playGroundFixed #materialTweaker ul li.active{
		border: 1px solid black;
		border-radius: 50%;
	}
	.playGroundFixed #materialTweaker ul li.active:after {
		display: none;
	}
	.playGroundFixed .input{
		font-size: 15px;
		width: 100%;
	}
}


@media screen and (max-width: 360px){
	.playGroundFixed #materialTweaker ul li{
		width: 24px;
		height: 24px;
	}
}